Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.plugins
Class PluginConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.digester3.plugins.PluginConfigurationException

All Implemented Interfaces:
  Serializable

    public class PluginConfigurationException

extends RuntimeException

Thrown when an error occurs due to the way the calling application uses the plugins module. Because the pre-existing Digester API doesn't provide any option for throwing checked exceptions at some points where Plugins can potentially fail, this exception extends RuntimeException so that it can "tunnel" through these points.

Since:
  1.6
See Also:
  Serialized Form

Constructor Summary
`PluginConfigurationException(String msg)` Constructs a new exception with the specified detail message.
`PluginConfigurationException(String msg, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`PluginConfigurationException(Throwable cause)` Constructs a new exception with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginConfigurationException

    public PluginConfigurationException(Throwable cause)

  Constructs a new exception with the specified cause.

  Parameters:
    `cause` - underlying exception that caused this to be thrown

### PluginConfigurationException

    public PluginConfigurationException(String msg)

  Constructs a new exception with the specified detail message.

  Parameters:
    `msg` - describes the reason this exception is being thrown.

### PluginConfigurationException

    public PluginConfigurationException(String msg,
                                        Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Parameters:
    `msg` - describes the reason this exception is being thrown.
    `cause` - underlying exception that caused this to be thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.